Cabal-3.10.1.0: A framework for packaging Haskell software

Copyright | Isaac Jones 2003-2005 Ross Paterson 2006 Duncan Coutts 2007-2008
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Simple.Build.PathsModule

Description

Generating the Paths_pkgname module.

This is a module that Cabal generates for the benefit of packages. It enables them to find their version number and find any installed data files at runtime. This code should probably be split off into another module.

Synopsis

- generatePathsModule :: PackageDescription -> LocalBuildInfo -> ComponentLocalBuildInfo -> String
- pkgPathEnvVar :: PackageDescription -> String -> String

# Documentation

generatePathsModule :: PackageDescription -> LocalBuildInfo -> ComponentLocalBuildInfo -> String Source #

pkgPathEnvVar Source #

Arguments

:: PackageDescription |
-> String | path component; one of "bindir", "libdir", -- "datadir", "libexecdir", or "sysconfdir"
-> String | environment variable name

Generates the name of the environment variable controlling the path component of interest.

Note: The format of these strings is part of Cabal's public API; changing this function constitutes a *backwards-compatibility* break.